| sigcleave

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Report on signal cleavage sites in a protein sequence

## Description

sigcleave predicts the site of cleavage between a signal sequence and the mature exported protein using the method of von Heijne. It reads one or more protein sequences and writes a standard EMBOSS report with the position, length and score of each predicted signal sequence. Optionally, you may specify the sequence is prokaryotic and this will change the default scoring data file used. The predictive accuracy is estimated to be around 75-80% for both prokaryotic and eukaryotic proteins.

## Algorithm

sigcleave uses the method of von Heijne as modified by von Heijne in his later book where treatment of positions -1 and -3 in the matrix is slightly altered (see references). The minimum scoring weight value (`-minweight`) for the predicted cleavage site is specified. The value of `-minweight` should be at least 3.5. At this level, the method should correctly identify 95% of signal peptides, and reject 95% of non-signal peptides. The cleavage site should be correctly predicted in 75-80% of cases.

## Usage

Here is a sample session with sigcleave

    % sigcleave
    Report on signal cleavage sites in a protein sequence
    Input protein sequence(s): tsw:ach2_drome
    Minimum weight [3.5]:
    Output report [ach2_drome.sig]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Report on signal cleavage sites in a protein sequence
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     Protein sequence(s) filename and optional
                                      format, or reference (input USA)
       -minweight          float      [3.5] Minimum scoring weight value for the
                                      predicted cleavage site (Number from 0.000
                                      to 100.000)
      [-outfile]           report     [*.sigcleave] Output report file name
                                      (default -rformat motif)

       Additional (Optional) qualifiers:
       -prokaryote         boolean    Specifies the sequence is prokaryotic and
                                      changes the default scoring data file name

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -rformat2           string     Report format
       -rname2             string     Base file name
       -rextension2        string     File name extension
       -rdirectory2        string     Output directory
       -raccshow2          boolean    Show accession number in the report
       -rdesshow2          boolean    Show description in the report
       -rscoreshow2        boolean    Show the score in the report
       -rstrandshow2       boolean    Show the nucleotide strand in the report
       -rusashow2          boolean    Show the full USA in the report
       -rmaxall2           integer    Maximum total hits to report
       -rmaxseq2           integer    Maximum hits to report for one sequence

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqall | Protein sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
-minweight | float | Minimum scoring weight value for the predicted cleavage site | Number from 0.000 to 100.000 | 3.5
[-outfile] (Parameter 2) | report | Output report file name | (default -rformat motif) | <*>.sigcleave
Additional (Optional) qualifiers
-prokaryote | boolean | Specifies the sequence is prokaryotic and changes the default scoring data file name | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-sequence" associated seqall qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated report qualifiers
-rformat2 -rformat_outfile | string | Report format | Any string | motif
-rname2 -rname_outfile | string | Base file name | Any string |
-rextension2 -rextension_outfile | string | File name extension | Any string | sig
-rdirectory2 -rdirectory_outfile | string | Output directory | Any string |
-raccshow2 -raccshow_outfile | boolean | Show accession number in the report | Boolean value Yes/No | N
-rdesshow2 -rdesshow_outfile | boolean | Show description in the report | Boolean value Yes/No | N
-rscoreshow2 -rscoreshow_outfile | boolean | Show the score in the report | Boolean value Yes/No | Y
-rstrandshow2 -rstrandshow_outfile | boolean | Show the nucleotide strand in the report | Boolean value Yes/No | Y
-rusashow2 -rusashow_outfile | boolean | Show the full USA in the report | Boolean value Yes/No | N
-rmaxall2 -rmaxall_outfile | integer | Maximum total hits to report | Any integer value | 0
-rmaxseq2 -rmaxseq_outfile | integer | Maximum hits to report for one sequence | Any integer value | 0
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

sigcleave reads one or more protein sequences.

The input is a standard EMBOSS sequence query (also known as a 'USA').

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: gff (gff3), gff2, embl (em), genbank (gb, refseq), ddbj, refseqp, pir (nbrf), swissprot (swiss, sw), dasgff and debug.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Input files for usage example

'tsw:ach2_drome' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:ach2_drome

    ID   ACH2_DROME              Reviewed;         576 AA.
    AC   P17644; Q0KI18; Q9VC73;
    DT   01-AUG-1990, integrated into UniProtKB/Swiss-Prot.
    DT   01-AUG-1990, sequence version 1.
    DT   18-APR-2012, entry version 123.
    DE   RecName: Full=Acetylcholine receptor subunit alpha-like 2;
    DE   Flags: Precursor;
    GN   Name=nAcRalpha-96Ab; Synonyms=Acr96Ab, AcrE, sad; ORFNames=CG6844;
    OS   Drosophila melanogaster (Fruit fly).
    OC   Eukaryota; Metazoa; Arthropoda; Hexapoda; Insecta; Pterygota;
    OC   Neoptera; Endopterygota; Diptera; Brachycera; Muscomorpha;
    OC   Ephydroidea; Drosophilidae; Drosophila; Sophophora.
    OX   NCBI_TaxID=7227;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA], TISSUE SPECIFICITY, AND
    RP   DEVELOPMENTAL STAGE.
    RC   TISSUE=Head;
    RX   MEDLINE=90353591; PubMed=2117557; DOI=10.1016/0014-5793(90)81170-S;
    RA   Jonas P., Baumann A., Merz B., Gundelfinger E.D.;
    RT   "Structure and developmental expression of the D alpha 2 gene encoding
    RT   a novel nicotinic acetylcholine receptor protein of Drosophila
    RT   melanogaster.";
    RL   FEBS Lett. 269:264-268(1990).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [MRNA].
    RX   MEDLINE=90360975; PubMed=1697262;
    RA   Sawruk E., Schloss P., Betz H., Schmitt B.;
    RT   "Heterogeneity of Drosophila nicotinic acetylcholine receptors: SAD, a
    RT   novel developmentally regulated alpha-subunit.";
    RL   EMBO J. 9:2671-2677(1990).
    RN   [3]
    RP   NUCLEOTIDE SEQUENCE [MRNA], TISSUE SPECIFICITY, AND DEVELOPMENTAL
    RP   STAGE.
    RC   TISSUE=Head;
    RX   MEDLINE=90301489; PubMed=2114015; DOI=10.1093/nar/18.12.3640;
    RA   Baumann A., Jonas P., Gundelfinger E.D.;
    RT   "Sequence of D alpha 2, a novel alpha-like subunit of Drosophila
    RT   nicotinic acetylcholine receptors.";
    RL   Nucleic Acids Res. 18:3640-3640(1990).
    RN   [4]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=Berkeley;
    RX   MEDLINE=20196006; PubMed=10731132; DOI=10.1126/science.287.5461.2185;
    RA   Adams M.D., Celniker S.E., Holt R.A., Evans C.A., Gocayne J.D.,
    RA   Amanatides P.G., Scherer S.E., Li P.W., Hoskins R.A., Galle R.F.,
    RA   George R.A., Lewis S.E., Richards S., Ashburner M., Henderson S.N.,
    RA   Sutton G.G., Wortman J.R., Yandell M.D., Zhang Q., Chen L.X.,
    RA   Brandon R.C., Rogers Y.-H.C., Blazej R.G., Champe M., Pfeiffer B.D.,
    RA   Wan K.H., Doyle C., Baxter E.G., Helt G., Nelson C.R., Miklos G.L.G.,
    RA   Abril J.F., Agbayani A., An H.-J., Andrews-Pfannkoch C., Baldwin D.,

      [Part of this file has been deleted for brevity]

    DR   GO; GO:0045211; C:postsynaptic membrane; IEA:UniProtKB-SubCell.
    DR   GO; GO:0004889; F:acetylcholine-activated cation-selective channel activity; IEA:InterPro.
    DR   GO; GO:0004872; F:receptor activity; IEA:UniProtKB-KW.
    DR   Gene3D; G3DSA:2.70.170.10; Neur_chan_lig_bd; 1.
    DR   InterPro; IPR006202; Neur_chan_lig-bd.
    DR   InterPro; IPR006201; Neur_channel.
    DR   InterPro; IPR006029; Neurotrans-gated_channel_TM.
    DR   InterPro; IPR018000; Neurotransmitter_ion_chnl_CS.
    DR   InterPro; IPR002394; Nicotinic_acetylcholine_rcpt.
    DR   PANTHER; PTHR18945; Neur_channel; 1.
    DR   Pfam; PF02931; Neur_chan_LBD; 1.
    DR   Pfam; PF02932; Neur_chan_memb; 1.
    DR   PRINTS; PR00254; NICOTINICR.
    DR   PRINTS; PR00252; NRIONCHANNEL.
    DR   SUPFAM; SSF90112; Neu_channel_TM; 1.
    DR   SUPFAM; SSF63712; Neur_chan_LBD; 1.
    DR   TIGRFAMs; TIGR00860; LIC; 1.
    DR   PROSITE; PS00236; NEUROTR_ION_CHANNEL; 1.
    PE   2: Evidence at transcript level;
    KW   Cell junction; Cell membrane; Complete proteome; Disulfide bond;
    KW   Glycoprotein; Ion transport; Ionic channel; Ligand-gated ion channel;
    KW   Membrane; Postsynaptic cell membrane; Receptor; Reference proteome;
    KW   Signal; Synapse; Transmembrane; Transmembrane helix; Transport.
    FT   SIGNAL        1     21       Probable.
    FT   CHAIN        22    576       Acetylcholine receptor subunit alpha-like
    FT                                2.
    FT                                /FTId=PRO_0000000300.
    FT   TOPO_DOM     22    261       Extracellular (Potential).
    FT   TRANSMEM    262    285       Helical; (Potential).
    FT   TRANSMEM    293    311       Helical; (Potential).
    FT   TRANSMEM    327    346       Helical; (Potential).
    FT   TOPO_DOM    347    526       Cytoplasmic (Potential).
    FT   TRANSMEM    527    545       Helical; (Potential).
    FT   CARBOHYD     65     65       N-linked (GlcNAc...) (Potential).
    FT   CARBOHYD    254    254       N-linked (GlcNAc...) (Potential).
    FT   CARBOHYD    570    570       N-linked (GlcNAc...) (Potential).
    FT   DISULFID    169    183       By similarity.
    FT   DISULFID    243    244       Associated with receptor activation (By
    FT                                similarity).
    SQ   SEQUENCE   576 AA;  65506 MW;  97D6A46CADC3F42F CRC64;
         MAPGCCTTRP RPIALLAHIW RHCKPLCLLL VLLLLCETVQ ANPDAKRLYD DLLSNYNRLI
         RPVSNNTDTV LVKLGLRLSQ LIDLNLKDQI LTTNVWLEHE WQDHKFKWDP SEYGGVTELY
         VPSEHIWLPD IVLYNNADGE YVVTTMTKAI LHYTGKVVWT PPAIFKSSCE IDVRYFPFDQ
         QTCFMKFGSW TYDGDQIDLK HISQKNDKDN KVEIGIDLRE YYPSVEWDIL GVPAERHEKY
         YPCCAEPYPD IFFNITLRRK TLFYTVNLII PCVGISYLSV LVFYLPADSG EKIALCISIL
         LSQTMFFLLI SEIIPSTSLA LPLLGKYLLF TMLLVGLSVV ITIIILNIHY RKPSTHKMRP
         WIRSFFIKRL PKLLLMRVPK DLLRDLAANK INYGLKFSKT KFGQALMDEM QMNSGGSSPD
         SLRRMQGRVG AGGCNGMHVT TATNRFSGLV GALGGGLSTL SGYNGLPSVL SGLDDSLSDV
         AARKKYPFEL EKAIHNVMFI QHHMQRQDEF NAEDQDWGFV AMVMDRLFLW LFMIASLVGT
         FVILGEAPSL YDDTKAIDVQ LSDVAKQIYN LTEKKN
    //

## Output file format

The output is a standard EMBOSS report file.

The results can be output in one of several styles by using the command-line qualifier `-rformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, dasgff, debug, listfile, dbmotif, diffseq, draw, restrict, excel, feattable, motif, nametable, regions, seqtable, simple, srs, table, tagseq.

See: http://emboss.sf.net/docs/themes/ReportFormats.html for further information on report formats.

By default the output is in 'motif' format.

### Output files for usage example

### File: ach2_drome.sig

    ########################################
    # Program: sigcleave
    # Rundate: Mon 15 Jul 2013 12:00:00
    # Commandline: sigcleave
    #    -sequence tsw:ach2_drome
    # Report_format: motif
    # Report_file: ach2_drome.sig
    ########################################

    #=======================================
    #
    # Sequence: ACH2_DROME     from: 1   to: 576
    # HitCount: 9
    #
    # Reporting scores over 3.50
    #
    #=======================================

    (1) Score 13.739 length 13 at residues 29->41

     Sequence: LLVLLLLCETVQA
               |           |
              29           41
     mature_peptide: NPDAKRLYDDLLSNYNRLIRPVSNNTDTVLVKLGLRLSQLIDLNLKDQIL

    (2) Score 12.135 length 13 at residues 26->38

     Sequence: LCLLLVLLLLCET
               |           |
              26           38
     mature_peptide: VQANPDAKRLYDDLLSNYNRLIRPVSNNTDTVLVKLGLRLSQLIDLNLKD

    (3) Score 10.465 length 13 at residues 28->40

     Sequence: LLLVLLLLCETVQ
               |           |
              28           40
     mature_peptide: ANPDAKRLYDDLLSNYNRLIRPVSNNTDTVLVKLGLRLSQLIDLNLKDQI

    (4) Score 7.360 length 13 at residues 528->540

     Sequence: FLWLFMIASLVGT
               |           |
             528           540
     mature_peptide: FVILGEAPSLYDDTKAIDVQLSDVAKQIYNLTEKKN

    (5) Score 6.981 length 13 at residues 330->342

     Sequence: FTMLLVGLSVVIT
               |           |
             330           342
     mature_peptide: IIILNIHYRKPSTHKMRPWIRSFFIKRLPKLLLMRVPKDLLRDLAANKIN

    (6) Score 5.057 length 13 at residues 24->36

     Sequence: KPLCLLLVLLLLC
               |           |
              24           36
     mature_peptide: ETVQANPDAKRLYDDLLSNYNRLIRPVSNNTDTVLVKLGLRLSQLIDLNL

    (7) Score 4.026 length 13 at residues 31->43

     Sequence: VLLLLCETVQANP
               |           |
              31           43
     mature_peptide: DAKRLYDDLLSNYNRLIRPVSNNTDTVLVKLGLRLSQLIDLNLKDQILTT

    (8) Score 3.751 length 13 at residues 527->539

     Sequence: LFLWLFMIASLVG
               |           |
             527           539
     mature_peptide: TFVILGEAPSLYDDTKAIDVQLSDVAKQIYNLTEKKN

    (9) Score 3.632 length 13 at residues 308->320

     Sequence: LLISEIIPSTSLA
               |           |
             308           320
     mature_peptide: LPLLGKYLLFTMLLVGLSVVITIIILNIHYRKPSTHKMRPWIRSFFIKRL

    #---------------------------------------
    #---------------------------------------

    #---------------------------------------
    # Total_sequences: 1
    # Total_length: 576
    # Reported_sequences: 1
    # Reported_hitcount: 9
    #---------------------------------------

## Data files

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

Here is the default file for eukaryotic signals:

    # Amino acid counts for 161 Eukaryotic Signal Peptides,
    # from von Heijne (1986), Nucl. Acids. Res. 14:4683-4690
    #
    # The cleavage site is between +1 and -1
    #
    Sample: 161 aligned sequences
    #
    # R -13 -12 -11 -10  -9  -8  -7  -6  -5  -4  -3  -2  -1  +1  +2 Expect
    # - --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- ------
      A  16  13  14  15  20  18  18  17  25  15  47   6  80  18   6  14.5
      C   3   6   9   7   9  14   6   8   5   6  19   3   9   8   3   4.5
      D   0   0   0   0   0   0   0   0   5   3   0   5   0  10  11   8.9
      E   0   0   0   1   0   0   0   0   3   7   0   7   0  13  14  10.0
      F  13   9  11  11   6   7  18  13   4   5   0  13   0   6   4   5.6
      G   4   4   3   6   3  13   3   2  19  34   5   7  39  10   7  12.1
      H   0   0   0   0   0   1   1   0   5   0   0   6   0   4   2   3.4
      I  15  15   8   6  11   5   4   8   5   1  10   5   0   8   7   7.4
      K   0   0   0   1   0   0   1   0   0   4   0   2   0  11   9  11.3
      L  71  68  72  79  78  45  64  49  10  23   8  20   1   8   4  12.1
      M   0   3   7   4   1   6   2   2   0   0   0   1   0   1   2   2.7
      N   0   1   0   1   1   0   0   0   3   3   0  10   0   4   7   7.1
      P   2   0   2   0   0   4   1   8  20  14   0   1   3   0  22   7.4
      Q   0   0   0   1   0   6   1   0  10   8   0  18   3  19  10   6.3
      R   2   0   0   0   0   1   0   0   7   4   0  15   0  12   9   7.6
      S   9   3   8   6  13  10  15  16  26  11  23  17  20  15  10  11.4
      T   2  10   5   4   5  13   7   7  12   6  17   8   6   3  10   9.7
      V  20  25  15  18  13  15  11  27   0  12  32   3   0   8  17  11.1
      W   4   3   3   1   1   2   6   3   1   3   0   9   0   2   0   1.8
      Y   0   1   4   0   0   1   3   1   1   2   0   5   0   1   7   5.6

## Notes

Signal peptides mediate translocation across the endoplasmic reticulum (ER) membrane in eukaryotes. In prokaryotes signal peptides mediate translocation across the inner and outer membranes.

sigcleave may predict any number of cleavage sites in a protein sequence but not all of these will be biologically relevant; the prediction algorithm is not perfect. There is no cutoff to eliminate sites because it is down to human expertise to decide what is relevant or not. Although the end of a protein sequence is usually easy to predict from a nucleotide sequence, the same cannot be said for the start which depends on such things as promoters, transcriptional control and splicing. This is why all predicted cleavage sites are reported.

It is often useful to specify to use just the starting region of the input sequence using the in-built qualifier `-send`. For example, adding `-send 50` to the command-line will check only the first 50 residues.

## References

1. von Heijne, G. "A new method for predicting signal sequence cleavage sites" Nucleic Acids Res.: 14:4683 (1986)
2. von Heijne, G. "Sequence Analysis in Molecular Biology: Treasure Trove or Trivial Pursuit" (Acad. Press, (1987), 113-117)

## Warnings

The program will warn you if a nucleic acid sequence is given or if the data file is not mathematically accurate.

## Diagnostic Error Messages

## Exit status

It exits with status 0 unless an error is reported.

## Known bugs

None.

## See also

Program name | Description
--- | ---
antigenic | Find antigenic sites in proteins
epestfind | Find PEST motifs as potential proteolytic cleavage sites
fuzzpro | Search for patterns in protein sequences
fuzztran | Search for patterns in protein sequences (translated)
patmatdb | Search protein sequences with a sequence motif
patmatmotifs | Scan a protein sequence with motifs from the PROSITE database
preg | Regular expression search of protein sequence(s)
pscan | Scan protein sequence(s) with fingerprints from the PRINTS database
tmap | Predict and plot transmembrane segments in protein sequences

## Author(s)

Alan Bleasby
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

Original program "SIGCLEAVE" (EGCG 1989) by Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Completed 10th March 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None